
.. CAUTION: THIS FILE IS AUTO-GENERATED
    from the inline comments of specfile defaults/alot.rc.spec.

    If you want to change its content make your changes
    to that spec to ensure they woun't be overwritten later.

.. _ask-subject:

.. describe:: ask_subject


    :type: boolean
    :default: True


.. _attachment-prefix:

.. describe:: attachment_prefix

     directory prefix for downloading attachments

    :type: string
    :default: "~"


.. _auto-remove-unread:

.. describe:: auto_remove_unread

     automatically remove 'unread' tag when focussing messages in thread mode

    :type: boolean
    :default: True


.. _auto-replyto-mailinglist:

.. describe:: auto_replyto_mailinglist

     Automatically switch to list reply mode if appropriate

    :type: boolean
    :default: False


.. _bounce-force-address:

.. describe:: bounce_force_address

     Always use the accounts main address when constructing "Resent-From" headers for bounces.
     Set this to False to use the address string as received in the original message.

    :type: boolean
    :default: False


.. _bounce-force-realname:

.. describe:: bounce_force_realname

     Always use the proper realname when constructing "Resent-From" headers for bounces.
     Set this to False to use the realname string as received in the original message.

    :type: boolean
    :default: True


.. _bufferclose-focus-offset:

.. describe:: bufferclose_focus_offset

     offset of next focused buffer if the current one gets closed

    :type: integer
    :default: -1


.. _bufferlist-statusbar:

.. describe:: bufferlist_statusbar

     Format of the status-bar in bufferlist mode.
     This is a pair of strings to be left and right aligned in the status-bar that may contain variables:

     * `{buffer_no}`: index of this buffer in the global buffer list
     * `{total_messages}`: total numer of messages indexed by notmuch
     * `{pending_writes}`: number of pending write operations to the index

    :type: mixed_list
    :default: [{buffer_no}: bufferlist], {input_queue} total messages: {total_messages}


.. _bug-on-exit:

.. describe:: bug_on_exit

     confirm exit

    :type: boolean
    :default: False


.. _colourmode:

.. describe:: colourmode

     number of colours to use on the terminal

    :type: option, one of ['1', '16', '256']
    :default: 256


.. _complete-matching-abook-only:

.. describe:: complete_matching_abook_only

     in case more than one account has an address book:
     Set this to True to make tab completion for recipients during compose only
     look in the abook of the account matching the sender address

    :type: boolean
    :default: False


.. _compose-ask-tags:

.. describe:: compose_ask_tags

     prompt for initial tags when compose

    :type: boolean
    :default: False


.. _displayed-headers:

.. describe:: displayed_headers

     headers that get displayed by default

    :type: string list
    :default: From, To, Cc, Bcc, Subject


.. _edit-headers-blacklist:

.. describe:: edit_headers_blacklist

     see :ref:`edit_headers_whitelist <edit-headers-whitelist>`

    :type: string list
    :default: Content-Type, MIME-Version, References, In-Reply-To


.. _edit-headers-whitelist:

.. describe:: edit_headers_whitelist

     Which header fields should be editable in your editor
     used are those that match the whitelist and don't match the blacklist.
     in both cases '*' may be used to indicate all fields.

    :type: string list
    :default: \*,


.. _editor-cmd:

.. describe:: editor_cmd

     editor command
     if unset, alot will first try the :envvar:`EDITOR` env variable, then :file:`/usr/bin/editor`

    :type: string
    :default: None


.. _editor-in-thread:

.. describe:: editor_in_thread

     call editor in separate thread.
     In case your editor doesn't run in the same window as alot, setting true here
     will make alot non-blocking during edits

    :type: boolean
    :default: False


.. _editor-spawn:

.. describe:: editor_spawn

     use :ref:`terminal_cmd <terminal-cmd>` to spawn a new terminal for the editor?
     equivalent to always providing the `--spawn=yes` parameter to compose/edit commands

    :type: boolean
    :default: False


.. _editor-writes-encoding:

.. describe:: editor_writes_encoding

     file encoding used by your editor

    :type: string
    :default: "UTF-8"


.. _envelope-edit-default-alternative:

.. describe:: envelope_edit_default_alternative

     always edit the given body text alternative when editing outgoing messages in envelope mode.
     alternative, and not the html source, even if that is currently displayed.
     If unset, html content will be edited unless the current envelope shows the plaintext alternative.

    :type: option, one of ['plaintext', 'html']
    :default: None


.. _envelope-headers-blacklist:

.. describe:: envelope_headers_blacklist

     headers that are hidden in envelope buffers by default

    :type: string list
    :default: In-Reply-To, References


.. _envelope-html2txt:

.. describe:: envelope_html2txt

     Use this command to turn a html message body to plaintext in envelope mode.
     The command will receive the html on stdin and should produce text on stdout
     (as `pandoc -f html -t markdown` does for example).

    :type: string
    :default: None


.. _envelope-statusbar:

.. describe:: envelope_statusbar

     Format of the status-bar in envelope mode.
     This is a pair of strings to be left and right aligned in the status-bar.
     Apart from the global variables listed at :ref:`bufferlist_statusbar <bufferlist-statusbar>`
     these strings may contain variables:

     * `{to}`: To-header of the envelope
     * `{displaypart}`: which body part alternative is currently in view (can be 'plaintext,'src', or 'html')

    :type: mixed_list
    :default: [{buffer_no}: envelope ({displaypart})], {input_queue} total messages: {total_messages}


.. _envelope-txt2html:

.. describe:: envelope_txt2html

     Use this command to construct a html alternative message body text in envelope mode.
     If unset, we send only the plaintext part, without html alternative.
     The command will receive the plaintex on stdin and should produce html on stdout.
     (as `pandoc -t html` does for example).

    :type: string
    :default: None


.. _exclude-tags:

.. describe:: exclude_tags

     A list of tags that will be excluded from search results by default. Using an excluded tag in a query will override that exclusion.
     .. note:: when set, this config setting will overrule the 'search.exclude_tags' in the notmuch config.

    :type: string list
    :default: None


.. _flush-retry-timeout:

.. describe:: flush_retry_timeout

     timeout in seconds after a failed attempt to writeout the database is
     repeated. Set to 0 for no retry.

    :type: integer
    :default: 5


.. _followup-to:

.. describe:: followup_to

     When one of the recipients of an email is a subscribed mailing list, set the
     "Mail-Followup-To" header to the list of recipients without yourself

    :type: boolean
    :default: False


.. _forward-force-address:

.. describe:: forward_force_address

     Always use the accounts main address when constructing "From" headers for forwards.
     Set this to False to use the address string as received in the original message.

    :type: boolean
    :default: False


.. _forward-force-realname:

.. describe:: forward_force_realname

     Always use the proper realname when constructing "From" headers for forwards.
     Set this to False to use the realname string as received in the original message.

    :type: boolean
    :default: True


.. _forward-subject-prefix:

.. describe:: forward_subject_prefix

     String prepended to subject header on forward
     only if original subject doesn't start with 'Fwd:' or this prefix

    :type: string
    :default: "Fwd: "


.. _handle-mouse:

.. describe:: handle_mouse

     enable mouse support - mouse tracking will be handled by urwid

     .. note:: If this is set to True mouse events are passed from the terminal
               to urwid/alot.  This means that normal text selection in alot will
               not be possible.  Most terminal emulators will still allow you to
               select text when shift is pressed.

    :type: boolean
    :default: False


.. _history-size:

.. describe:: history_size

     The number of command line history entries to save

     .. note:: You can set this to -1 to save *all* entries to disk but the
               history file might get *very* long.

    :type: integer
    :default: 50


.. _honor-followup-to:

.. describe:: honor_followup_to

     When group-reply-ing to an email that has the "Mail-Followup-To" header set,
     use the content of this header as the new "To" header and leave the "Cc"
     header empty

    :type: boolean
    :default: False


.. _hooksfile:

.. describe:: hooksfile

     where to look up hooks

    :type: string
    :default: None


.. _initial-command:

.. describe:: initial_command

     initial command when none is given as argument:

    :type: string
    :default: "search tag:inbox AND NOT tag:killed"


.. _input-timeout:

.. describe:: input_timeout

     timeout in (floating point) seconds until partial input is cleared

    :type: float
    :default: 1.0


.. _interpret-ansi-background:

.. describe:: interpret_ansi_background

     display background colors set by ANSI character escapes

    :type: boolean
    :default: True


.. _mailinglists:

.. describe:: mailinglists

     The list of addresses associated to the mailinglists you are subscribed to

    :type: string list
    :default: ,


.. _msg-summary-hides-threadwide-tags:

.. describe:: msg_summary_hides_threadwide_tags

     In a thread buffer, hide from messages summaries tags that are commom to all
     messages in that thread.

    :type: boolean
    :default: True


.. _namedqueries-statusbar:

.. describe:: namedqueries_statusbar

     Format of the status-bar in named query list mode.
     This is a pair of strings to be left and right aligned in the status-bar.
     These strings may contain variables listed at :ref:`bufferlist_statusbar <bufferlist-statusbar>`
     that will be substituted accordingly.

    :type: mixed_list
    :default: [{buffer_no}: namedqueries], {query_count} named queries


.. _notify-timeout:

.. describe:: notify_timeout

     time in secs to display status messages

    :type: integer
    :default: 2


.. _periodic-hook-frequency:

.. describe:: periodic_hook_frequency

     The number of seconds to wait between calls to the loop_hook

    :type: integer
    :default: 300


.. _prefer-plaintext:

.. describe:: prefer_plaintext

     prefer plaintext alternatives over html content in multipart/alternative

    :type: boolean
    :default: False


.. _print-cmd:

.. describe:: print_cmd

     how to print messages:
     this specifies a shell command used for printing.
     threads/messages are piped to this command as plain text.
     muttprint/a2ps works nicely

    :type: string
    :default: None


.. _prompt-suffix:

.. describe:: prompt_suffix

     Suffix of the prompt used when waiting for user input

    :type: string
    :default: ":"


.. _quit-on-last-bclose:

.. describe:: quit_on_last_bclose

     shut down when the last buffer gets closed

    :type: boolean
    :default: False


.. _quote-prefix:

.. describe:: quote_prefix

     String prepended to line when quoting

    :type: string
    :default: "> "


.. _reply-account-header-priority:

.. describe:: reply_account_header_priority

     The list of headers to match to determine sending account for a reply.
     Headers are searched in the order in which they are specified here, and the first header
     containing a match is used. If multiple accounts match in that header, the one defined
     first in the account block is used.

    :type: string list
    :default: From, To, Cc, Envelope-To, X-Envelope-To, Delivered-To


.. _reply-force-address:

.. describe:: reply_force_address

     Always use the accounts main address when constructing "From" headers for replies.
     Set this to False to use the address string as received in the original message.

    :type: boolean
    :default: False


.. _reply-force-realname:

.. describe:: reply_force_realname

     Always use the proper realname when constructing "From" headers for replies.
     Set this to False to use the realname string as received in the original message.

    :type: boolean
    :default: True


.. _reply-subject-prefix:

.. describe:: reply_subject_prefix

     String prepended to subject header on reply
     only if original subject doesn't start with 'Re:' or this prefix

    :type: string
    :default: "Re: "


.. _search-statusbar:

.. describe:: search_statusbar

     Format of the status-bar in search mode.
     This is a pair of strings to be left and right aligned in the status-bar.
     Apart from the global variables listed at :ref:`bufferlist_statusbar <bufferlist-statusbar>`
     these strings may contain variables:

     * `{querystring}`: search string
     * `{result_count}`: number of matching messages
     * `{result_count_positive}`: 's' if result count is greater than 0.

    :type: mixed_list
    :default: [{buffer_no}: search] for "{querystring}", {input_queue} {result_count} of {total_messages} messages


.. _search-threads-move-last-limit:

.. describe:: search_threads_move_last_limit

     Maximum number of results in a search buffer before 'move last' builds the
     thread list in reversed order as a heuristic. The resulting order will be
     different for threads with multiple matching messages.
     When set to 0, no limit is set (can be very slow in searches that yield thousands of results)

    :type: integer
    :default: 200


.. _search-threads-rebuild-limit:

.. describe:: search_threads_rebuild_limit

     maximum amount of threads that will be consumed to try to restore the focus, upon triggering a search buffer rebuild
     when set to 0, no limit is set (can be very slow in searches that yield thousands of results)

    :type: integer
    :default: 0


.. _search-threads-sort-order:

.. describe:: search_threads_sort_order

     default sort order of results in a search

    :type: option, one of ['oldest_first', 'newest_first', 'message_id', 'unsorted']
    :default: newest_first


.. _show-statusbar:

.. describe:: show_statusbar

     display status-bar at the bottom of the screen?

    :type: boolean
    :default: True


.. _tabwidth:

.. describe:: tabwidth

     number of spaces used to replace tab characters

    :type: integer
    :default: 8


.. _taglist-statusbar:

.. describe:: taglist_statusbar

     Format of the status-bar in taglist mode.
     This is a pair of strings to be left and right aligned in the status-bar.
     These strings may contain variables listed at :ref:`bufferlist_statusbar <bufferlist-statusbar>`
     that will be substituted accordingly.

    :type: mixed_list
    :default: [{buffer_no}: taglist], {input_queue} total messages: {total_messages}


.. _template-dir:

.. describe:: template_dir

     templates directory that contains your message templates.
     It will be used if you give `compose --template` a filename without a path prefix.

    :type: string
    :default: "$XDG_CONFIG_HOME/alot/templates"


.. _terminal-cmd:

.. describe:: terminal_cmd

     set terminal command used for spawning shell commands

    :type: string
    :default: "x-terminal-emulator -e"


.. _theme:

.. describe:: theme

     name of the theme to use

    :type: string
    :default: None


.. _themes-dir:

.. describe:: themes_dir

     directory containing theme files.

    :type: string
    :default: "$XDG_CONFIG_HOME/alot/themes"


.. _thread-authors-me:

.. describe:: thread_authors_me

     Word to replace own addresses with. Works in combination with
     :ref:`thread_authors_replace_me <thread-authors-replace-me>`

    :type: string
    :default: "Me"


.. _thread-authors-order-by:

.. describe:: thread_authors_order_by

     When constructing the unique list of thread authors, order by date of
     author's first or latest message in thread

    :type: option, one of ['first_message', 'latest_message']
    :default: first_message


.. _thread-authors-replace-me:

.. describe:: thread_authors_replace_me

     Replace own email addresses with "me" in author lists
     Uses own addresses and aliases in all configured accounts.

    :type: boolean
    :default: True


.. _thread-focus-linewise:

.. describe:: thread_focus_linewise

     Split message body linewise and allows to (move) the focus to each individual
     line. Setting this to False will result in one potentially big text widget
     for the whole message body.

    :type: boolean
    :default: True


.. _thread-indent-replies:

.. describe:: thread_indent_replies

     number of characters used to indent replies relative to original messages in thread mode

    :type: integer
    :default: 2


.. _thread-statusbar:

.. describe:: thread_statusbar

     Format of the status-bar in thread mode.
     This is a pair of strings to be left and right aligned in the status-bar.
     Apart from the global variables listed at :ref:`bufferlist_statusbar <bufferlist-statusbar>`
     these strings may contain variables:

     * `{tid}`: thread id
     * `{subject}`: subject line of the thread
     * `{authors}`: abbreviated authors string for this thread
     * `{message_count}`: number of contained messages
     * `{thread_tags}`: displays all tags present in the current thread.
     * `{intersection_tags}`: displays tags common to all messages in the current thread.
     * `{mimetype}`: content type of the mime part displayed in the focused message.

    :type: mixed_list
    :default: [{buffer_no}: thread] {subject}, [{mimetype}] {input_queue} total messages: {total_messages}


.. _thread-subject:

.. describe:: thread_subject

     What should be considered to be "the thread subject".
     Valid values are:

     * 'notmuch' (the default), will use the thread subject from notmuch, which
       depends on the selected sorting method
     * 'oldest' will always use the subject of the oldest message in the thread as
       the thread subject

    :type: option, one of ['oldest', 'notmuch']
    :default: notmuch


.. _thread-unfold-matching:

.. describe:: thread_unfold_matching

     Unfold messages matching the query. If not set, will unfold all messages matching search buffer query.

    :type: string
    :default: None


.. _timestamp-format:

.. describe:: timestamp_format

     timestamp format in `strftime format syntax <https://docs.python.org/library/datetime.html#strftime-strptime-behavior>`_

    :type: string
    :default: None


.. _user-agent:

.. describe:: user_agent

     value of the User-Agent header used for outgoing mails.
     setting this to the empty string will cause alot to omit the header all together.
     The string '{version}' will be replaced by the version string of the running instance.

    :type: string
    :default: "alot/{version}"

